scanelf(1)

NAME

scanelf - user-space utility to scan elf files

SYNTAX

Usage: pspax [options] user@shell$ pspax

DESCRIPTION
pspax is a user-space utility that scans the proc directory and list ELF types, as well as their respctive PaX flags and filenames and attributes. Depending on how pspax was compiled it additionaly will display the process running set of cabilities.

OPTIONS

-a, --all
    * Show all processes

-e, --header
    * Print GNU_STACK/PT_LOAD markings

-p, --pid
    * Process ID/pid #

-u, --uid
    * Process user/uid #

-g, --gid
    * Process group/gid #

-n, --nx
    * Only display w^x processes

-w, --wx
    * Only display w|x processes

-v, --verbose
    * Be verbose about executable mappings

-B, --nobanner
    * Don't display the header

-h, --help
    * Print this help and exit

-V, --version
    * Print version and exit

FILES

/proc/ /proc/%d/exe /proc/%d/stat /proc/%d/status /proc/%d/attr/current /proc/%d/maps

ENVIRONMENT VARIABLES

PATH
    When the program is compiled with capability support those will be listed as well.

EXAMPLES

To run this program the standard way type:

pspax

REPORTING BUGS
Please include as much information as possible (using any available debugging options) and send bug reports to pax-utils <solar@gentoo.org>.

SEE ALSO
chpax(1), paxctl(1), pspax(1), gradm(8), scanelf(1),

AUTHORS
scanelf was written by <solar and vapier @gentoo.org>